import request from '@/utils/request'

// 查询市场大盘（日）列表
export function listDaily(query) {
  return request({
    url: '/market/daily/list',
    method: 'get',
    params: query
  })
}

// 查询市场大盘（日）详细
export function getDaily(id) {
  return request({
    url: '/market/daily/' + id,
    method: 'get'
  })
}

// 新增市场大盘（日）
export function addDaily(data) {
  return request({
    url: '/market/daily',
    method: 'post',
    data: data
  })
}

// 修改市场大盘（日）
export function updateDaily(data) {
  return request({
    url: '/market/daily',
    method: 'put',
    data: data
  })
}

// 删除市场大盘（日）
export function delDaily(id) {
  return request({
    url: '/market/daily/' + id,
    method: 'delete'
  })
}
